> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/eingeplante-importe.md).

# Eingeplante Importe

Scheduled Imports in VARIO: Plan, configure, and automate recurring imports and exports using the REST API.

Scheduling of imports that run periodically.

## GET /cmn/data-import/scheduled-import/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"eingeplante Importe","description":"Scheduling of imports that run periodically."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/scheduled-import/{id}":{"get":{"tags":["eingeplante Importe"],"summary":"Find an existing Resource by identifier","operationId":"getById_133","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ScheduledImport":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"responsibleTask":{"$ref":"#/components/schemas/common-task-Task"},"ruleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"exportMode":{"type":"string","description":"For exports only: what is created, a separate file or a revision?","enum":["ONE_FILE_PER_RUN","ONE_REVISION_PER_RUN"]},"inputType":{"type":"string","description":"What the data source is.","enum":["FILE","QUERY"]}},"required":["inputType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-task-Task":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label of this task","minLength":1},"description":{"type":"string","description":"description of this task"},"cronExpression":{"type":"string","description":"valid cron expression (UNIX style)"},"lastExecutedAt":{"type":"string","format":"date-time","description":"last execution date-time","readOnly":true},"firstExecutionTime":{"type":"string","format":"date-time","description":"first execution date-time"},"nextExecutionAt":{"type":"string","format":"date-time","description":"next execution date-time","readOnly":true},"nextExecutionOverride":{"type":"string","format":"date-time","description":"When a preferred processing was requested.","readOnly":true},"lastStatus":{"type":"string","description":"lastStatus","enum":["CREATED","QUEUED","RUNNING","TERMINATED","SUCCESSFUL","ERRONEOUS","FATAL","CANCELLED"],"readOnly":true},"jobBeanName":{"type":"string","description":"bean-name/class-name to execute","minLength":1},"state":{"type":"string","default":"ACTIVE","description":"Status.","enum":["ACTIVE","SUSPENDED","TO_REMOVE"]},"category":{"type":"string","default":"NORMAL","description":"Category","enum":["QUICK","NORMAL","LONG_RUNNING"],"readOnly":true},"dataPayloadJson":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"runAsUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"singleton":{"type":"boolean","default":true,"description":"Is this task a singleton"},"repetitions":{"type":"integer","format":"int32","description":"How often will this task run? (null -> forever)"},"processId":{"type":"string","description":"process id"},"traceActive":{"type":"boolean","default":false,"description":"Enables call tracing for this task.","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["cronExpression","firstExecutionTime","jobBeanName","label","runAsUserRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## PUT /cmn/data-import/scheduled-import/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"eingeplante Importe","description":"Scheduling of imports that run periodically."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/scheduled-import/{id}":{"put":{"tags":["eingeplante Importe"],"summary":"Update existing Resource ","operationId":"update_138","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ScheduledImport":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"responsibleTask":{"$ref":"#/components/schemas/common-task-Task"},"ruleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"exportMode":{"type":"string","description":"For exports only: what is created, a separate file or a revision?","enum":["ONE_FILE_PER_RUN","ONE_REVISION_PER_RUN"]},"inputType":{"type":"string","description":"What the data source is.","enum":["FILE","QUERY"]}},"required":["inputType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-task-Task":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label of this task","minLength":1},"description":{"type":"string","description":"description of this task"},"cronExpression":{"type":"string","description":"valid cron expression (UNIX style)"},"lastExecutedAt":{"type":"string","format":"date-time","description":"last execution date-time","readOnly":true},"firstExecutionTime":{"type":"string","format":"date-time","description":"first execution date-time"},"nextExecutionAt":{"type":"string","format":"date-time","description":"next execution date-time","readOnly":true},"nextExecutionOverride":{"type":"string","format":"date-time","description":"When a preferred processing was requested.","readOnly":true},"lastStatus":{"type":"string","description":"lastStatus","enum":["CREATED","QUEUED","RUNNING","TERMINATED","SUCCESSFUL","ERRONEOUS","FATAL","CANCELLED"],"readOnly":true},"jobBeanName":{"type":"string","description":"bean-name/class-name to execute","minLength":1},"state":{"type":"string","default":"ACTIVE","description":"Status.","enum":["ACTIVE","SUSPENDED","TO_REMOVE"]},"category":{"type":"string","default":"NORMAL","description":"Category","enum":["QUICK","NORMAL","LONG_RUNNING"],"readOnly":true},"dataPayloadJson":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"runAsUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"singleton":{"type":"boolean","default":true,"description":"Is this task a singleton"},"repetitions":{"type":"integer","format":"int32","description":"How often will this task run? (null -> forever)"},"processId":{"type":"string","description":"process id"},"traceActive":{"type":"boolean","default":false,"description":"Enables call tracing for this task.","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["cronExpression","firstExecutionTime","jobBeanName","label","runAsUserRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## DELETE /cmn/data-import/scheduled-import/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"eingeplante Importe","description":"Scheduling of imports that run periodically."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/scheduled-import/{id}":{"delete":{"tags":["eingeplante Importe"],"summary":"Delete an existing Resource","operationId":"delete_123","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /cmn/data-import/scheduled-import

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"eingeplante Importe","description":"Scheduling of imports that run periodically."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/scheduled-import":{"post":{"tags":["eingeplante Importe"],"summary":"Create new Resource","operationId":"create_127","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ScheduledImport":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"responsibleTask":{"$ref":"#/components/schemas/common-task-Task"},"ruleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"exportMode":{"type":"string","description":"For exports only: what is created, a separate file or a revision?","enum":["ONE_FILE_PER_RUN","ONE_REVISION_PER_RUN"]},"inputType":{"type":"string","description":"What the data source is.","enum":["FILE","QUERY"]}},"required":["inputType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-task-Task":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label of this task","minLength":1},"description":{"type":"string","description":"description of this task"},"cronExpression":{"type":"string","description":"valid cron expression (UNIX style)"},"lastExecutedAt":{"type":"string","format":"date-time","description":"last execution date-time","readOnly":true},"firstExecutionTime":{"type":"string","format":"date-time","description":"first execution date-time"},"nextExecutionAt":{"type":"string","format":"date-time","description":"next execution date-time","readOnly":true},"nextExecutionOverride":{"type":"string","format":"date-time","description":"When a preferred processing was requested.","readOnly":true},"lastStatus":{"type":"string","description":"lastStatus","enum":["CREATED","QUEUED","RUNNING","TERMINATED","SUCCESSFUL","ERRONEOUS","FATAL","CANCELLED"],"readOnly":true},"jobBeanName":{"type":"string","description":"bean-name/class-name to execute","minLength":1},"state":{"type":"string","default":"ACTIVE","description":"Status.","enum":["ACTIVE","SUSPENDED","TO_REMOVE"]},"category":{"type":"string","default":"NORMAL","description":"Category","enum":["QUICK","NORMAL","LONG_RUNNING"],"readOnly":true},"dataPayloadJson":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"runAsUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"singleton":{"type":"boolean","default":true,"description":"Is this task a singleton"},"repetitions":{"type":"integer","format":"int32","description":"How often will this task run? (null -> forever)"},"processId":{"type":"string","description":"process id"},"traceActive":{"type":"boolean","default":false,"description":"Enables call tracing for this task.","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["cronExpression","firstExecutionTime","jobBeanName","label","runAsUserRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/eingeplante-importe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
